Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Model.Baum
Class KNOTEN

    java.lang.Object
      Model.Baum.BAUMELEMENT
          Model.Baum.KNOTEN

     class KNOTEN

extends BAUMELEMENT

Beschreibt einen Knoten des Baums.

Version:
  1.0
Author:
  Albert Wiedemann

Constructor Summary
`KNOTEN(DATENELEMENT d, BAUMELEMENT lnf, BAUMELEMENT rnf)` Legt einen neuen Knoten mit gegebenem Datenelement und gegebenen Nachfolgern an.

Method Summary
`(package private) BAUMELEMENT` | `Einfuegen(DATENELEMENT neu)` Fügt ein neues Datenelement in den Baum ein.
`(package private) DATENELEMENT` | `Suchen(DATENELEMENT schluessel)` Sucht ein Datenelement mit dem in der Referenz angegebenen Schlüssel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KNOTEN

    KNOTEN(DATENELEMENT d,
           BAUMELEMENT lnf,
           BAUMELEMENT rnf)

  Legt einen neuen Knoten mit gegebenem Datenelement und gegebenen Nachfolgern an.

  Parameters:
    `d` - Referenz auf das von diesem Knoten verwaltete Datenelement
    `lnf` - Referenz auf das linke Nachfolgerelement
    `rnf` - Referenz auf das rechte Nachfolgerelement

Method Detail

### Einfuegen

    BAUMELEMENT Einfuegen(DATENELEMENT neu)

  Fügt ein neues Datenelement in den Baum ein.

  Specified by:
    `Einfuegen` in class `BAUMELEMENT`
  Parameters:
    `neu` - Referenz auf des neue Datenelement
  Returns:
    der (neue) Nachfolger für das Vorgängerelement

### Suchen

    DATENELEMENT Suchen(DATENELEMENT schluessel)

  Sucht ein Datenelement mit dem in der Referenz angegebenen Schlüssel.

  Specified by:
    `Suchen` in class `BAUMELEMENT`
  Parameters:
    `schluessel` - Referenz auf ein Datenelement mit dem zu suchenden Schlüsselwert
  Returns:
    das gefundene Datenelement oder null

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD